Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/README
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/README	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/README	(revision 4394)
@@ -20,5 +20,6 @@
 This file is needed to define you PATH, the experiments and variables names
 
-
+you can copy std_ts_vardef.sh_example1 con std_ts_vardef.sh
+and std_plot_vardef.sh_example1 std_plot_vardef.sh
 
 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4394)
@@ -103,55 +103,65 @@
 ;climatology 
   QNET = read_ncdf(getenv('VAR_FLUX'), filename = std_file_oaflux )
-
+ 
 ; erp (evaporation damping)
   ERP1 = read_ncdf(getenv('VAR1_ERP'), allrecords = allrec, direc = 't', filename = std_file1_T )
   ERP1 = {arr:ERP1.arr * 86400., unit:'mm/day', grid:'T'}
   IF std_file2_T NE std_file1_T THEN BEGIN
-    ERP2 = read_ncdf(getenv('VAR2_ERP'), allrecords = allrec, direc = 't', filename = std_file2_T )
-    ERP2 = {arr:ERP2.arr * 86400., unit:'mm/day', grid:'T'}
+     ERP2 = read_ncdf(getenv('VAR2_ERP'), allrecords = allrec, direc = 't', filename = std_file2_T )
+     ERP2 = {arr:ERP2.arr * 86400., unit:'mm/day', grid:'T'}
   ENDIF ELSE ERP2 = {arr:-1}
-
+ 
 ; emp (evaporation minus precipitation)
   EMP1 = read_ncdf(getenv('VAR1_EMP'), allrecords = allrec, direc = 't', filename = std_file1_T )
   EMP1 = {arr:EMP1.arr * 86400., unit:'mm/day', grid:'T'}
-  IF std_file2_T NE std_file1_T THEN BEGIN
-    EMP2 = read_ncdf(getenv('VAR2_EMP'), allrecords = allrec, direc = 't', filename = std_file2_T )
-    EMP2 = {arr:EMP2.arr * 86400., unit:'mm/day', grid:'T'}
-  ENDIF ELSE EMP2 = {arr:-1}
-  
-;mixed layer depth
-  MLD1 = read_ncdf(getenv('VAR1_MLD'), allrecords = allrec, direc = 't', filename = std_file1_T ) ; 10 m
-  IF std_file2_T NE std_file1_T THEN BEGIN
-    MLD2 = read_ncdf(getenv('VAR2_MLD'), allrecords = allrec, direc = 't', filename = std_file2_T ) ; 10 m
-  ENDIF ELSE MLD2 = {arr:-1}
-;climatology 
-  MLD = read_ncdf(getenv('VAR_MLD'), filename = std_file_mld )
-
-; velocities
-  U1 = read_ncdf(getenv('VAR1_U'), allrecords = allrec, direc = 't', filename = std_file1_U )
-  IF strlowcase(getenv('VAR1_U')) EQ 'uocetr_eff' THEN BEGIN
-    U1.arr = U1.arr / e3u_3d(/e2) * umask()
-    U1.unit = 'm/s'
-  ENDIF 
-  IF std_file2_U NE std_file1_U THEN BEGIN
-    U2 = read_ncdf(getenv('VAR2_U'), allrecords = allrec, direc = 't', filename = std_file2_U )
-    IF strlowcase(getenv('VAR2_U')) EQ 'uocetr_eff' THEN BEGIN
-      U2.arr = U2.arr / e3u_3d(/e2) * umask()
-      U2.unit = 'm/s'
-    ENDIF 
-  ENDIF ELSE U2 = {arr:-1}
-;
-  V1 = read_ncdf(getenv('VAR1_V'), allrecords = allrec, direc = 't', filename = std_file1_V )
-  IF strlowcase(getenv('VAR1_V')) EQ 'vocetr_eff' THEN BEGIN
-    V1.arr = V1.arr / e3v_3d(/e1) * vmask()
-    V1.unit = 'm/s'
-  ENDIF 
-  IF std_file2_V NE std_file1_V THEN BEGIN
-    V2 = read_ncdf(getenv('VAR2_V'), allrecords = allrec, direc = 't', filename = std_file2_V )
-    IF strlowcase(getenv('VAR2_V')) EQ 'vocetr_eff' THEN BEGIN
-      V2.arr = V2.arr / e3v_3d(/e1) * vmask()
-      V2.unit = 'm/s'
-    ENDIF 
-  ENDIF ELSE V2 = {arr:-1}
+   IF std_file2_T NE std_file1_T THEN BEGIN
+     EMP2 = read_ncdf(getenv('VAR2_EMP'), allrecords = allrec, direc = 't', filename = std_file2_T )
+     EMP2 = {arr:EMP2.arr * 86400., unit:'mm/day', grid:'T'}
+   ENDIF ELSE EMP2 = {arr:-1}
+   
+ ;mixed layer depth
+   MLD1 = read_ncdf(getenv('VAR1_MLD'), allrecords = allrec, direc = 't', filename = std_file1_T ) ; 10 m
+   IF std_file2_T NE std_file1_T THEN BEGIN
+     MLD2 = read_ncdf(getenv('VAR2_MLD'), allrecords = allrec, direc = 't', filename = std_file2_T ) ; 10 m
+   ENDIF ELSE MLD2 = {arr:-1}
+ ;climatology 
+   MLD = read_ncdf(getenv('VAR_MLD'), filename = std_file_mld )
+
+ ; velocities
+   U1 = read_ncdf(getenv('VAR1_U'), allrecords = allrec, direc = 't', filename = std_file1_U )
+   ; old formulation: we tested variable name
+   ; IF strlowcase(getenv('VAR1_U')) EQ 'uocetr_eff' OR strlowcase(getenv('VAR1_U')) EQ 'vozoeftr' THEN BEGIN
+   IF strlowcase(U1.unit) EQ 'm3/s' THEN BEGIN
+     ;IF it is a transport it is transofrmed in velocity
+     U1.arr = U1.arr / e3u_3d(/e2) * umask()
+     U1.unit = 'm/s'
+   ENDIF 
+   IF std_file2_U NE std_file1_U THEN BEGIN
+     U2 = read_ncdf(getenv('VAR2_U'), allrecords = allrec, direc = 't', filename = std_file2_U )
+     ; old formulation: we tested variable name
+     ; IF strlowcase(getenv('VAR2_U')) EQ 'uocetr_eff' OR strlowcase(getenv('VAR2_U')) EQ 'vozoeftr' THEN BEGIN
+     IF strlowcase(U2.unit) EQ 'm3/s' THEN BEGIN
+       U2.arr = U2.arr / e3u_3d(/e2) * umask()
+       U2.unit = 'm/s'
+     ENDIF 
+   ENDIF ELSE U2 = {arr:-1}
+;
+   V1 = read_ncdf(getenv('VAR1_V'), allrecords = allrec, direc = 't', filename = std_file1_V )
+   ; old formulation: we tested variable name
+   ; IF strlowcase(getenv('VAR1_V')) EQ 'vocetr_eff' OR strlowcase(getenv('VAR1_V')) EQ 'vomeeftr' THEN BEGIN
+   IF strlowcase(V1.unit) EQ 'm3/s' THEN BEGIN ; test on unit to understand if it is a transport or velocity
+     ;IF it is a transport it is transofrmed in velocity
+     V1.arr = V1.arr / e3v_3d(/e1) * vmask()
+     V1.unit = 'm/s'
+   ENDIF 
+   IF std_file2_V NE std_file1_V THEN BEGIN
+     V2 = read_ncdf(getenv('VAR2_V'), allrecords = allrec, direc = 't', filename = std_file2_V )
+     ; old formulation
+     ; IF strlowcase(getenv('VAR2_V')) EQ 'vocetr_eff' OR strlowcase(getenv('VAR2_V')) EQ 'vozoeftr' THEN BEGIN
+     IF strlowcase(V2.unit) EQ 'm3/s' THEN BEGIN 
+       V2.arr = V2.arr / e3v_3d(/e1) * vmask()
+       V2.unit = 'm/s'
+     ENDIF 
+   ENDIF ELSE V2 = {arr:-1}
 
 ; ice
@@ -256,74 +266,74 @@
   cnt = cnt+1   &   blabla = 'Erp salinity damping term'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_erp, ERP1, ERP2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Evaporation - Precipitation - Runoff term'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_emp, EMP1, EMP2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Net heat flux'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_qnet, Q1, Q2, QNET, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Meridionnal Heat Transport'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mht, Q1.arr+geo, Q2.arr+geo, masknp, std_file_msksub, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Global Barotropic stream Function'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_bsf, U1, U2, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Temperature diff with New Reynolds'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_sst, T1, T2, TRey, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Salinity diff with Levitus'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_sss, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, SLev, _extra = ex       
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus and exp2'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, SLev, /z100, _extra = ex       
- 
+; 
   cnt = cnt+1   &   blabla = 'Arctic mean Salinity diff with Levitus and exp2 at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ArcSal, S1, S2, SLev, /z100, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'mean Temperature diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_T100m, T1, T2, Tlev, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'mean Salinity diff with Levitus at z=100 meters'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_S100m, S1, S2, SLev, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Mixed layer depth'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mld, MLD1, MLD, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Mixed layer depth differences'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_mld, MLD1, MLD2, MLD, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Mixed layer depth'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_ZonMld, MLD1, MLD2, MLD, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Global'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Atl', _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Ind', _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Zonal mean Temperature diff with Levitus: Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_T, T1, T2, TLev, SUBBASIN = 'Pac', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Global'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Atl', _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Ind', _extra = ex 
-
+;
   cnt = cnt+1   &   blabla = 'Zonal mean Salinity diff with Levitus: Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_zonal_S, S1, S2, SLev, SUBBASIN = 'Pac', _extra = ex 
-  
+;  
 ;  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ARC, /MARCH, _extra = ex
@@ -331,8 +341,8 @@
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ARC, /APRIL, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ARC, /SEPT, _extra = ex
-  
+;  
 ;  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: MARCH'
 ;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ANT, /MARCH, _extra = ex
@@ -340,22 +350,23 @@
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ANT, /APRIL, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ANT, /SEPT, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Arctic Ice Fraction: MARCH'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Arctic Ice Fraction: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ARC, /SEPT, _extra = ex
-  
+;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: MARCH'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ANT, /MARCH, _extra = ex
-
+;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
-;; SF non funziona, dice che deve essere una struttura e non e!!!!
-;;SF  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: APRIL'
-;;SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ARC, /APRIL, _extra = ex
+;; SF need to be reviewed, it does not work, it need a structure!!!!
+;; SF
+;; SF  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: APRIL'
+;; SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ARC, /APRIL, _extra = ex
 ;; SF 
 ;; SF   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
@@ -368,19 +379,20 @@
 ;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
 ; 
-;  cnt = cnt+1   &   blabla = 'Arctic Ice Extend: '
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ARC,  _extra = ex
-  
-;  cnt = cnt+1   &   blabla = 'Antarctic Ice Extend: '
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ANT,  _extra = ex
+; NOT NEEDED, only for TIME SERIES NOW ICE EXTEND
+;SF  cnt = cnt+1   &   blabla = 'Arctic Ice Extend: '
+;SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ARC,  _extra = ex
+;SF  
+;SF  cnt = cnt+1   &   blabla = 'Antarctic Ice Extend: '
+;SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceExt, Ifra_1, Ifra_2, masknp, /ANT,  _extra = ex
 
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Global (no Med)'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'GloNoMed', _extra = ex
-
+ 
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Atlantic'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Atl', _extra = ex
-
+ 
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indian'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'Ind', _extra = ex
-
+ 
   cnt = cnt+1   &   blabla = 'Meridional stream Function: Indo-Pacific'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_msf, V1, V2, SUBBASIN = 'IndoPac', _extra = ex
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_bsf.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_bsf.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_bsf.pro	(revision 4394)
@@ -14,5 +14,9 @@
   domdef, 0, 6000
 
-  bb1 = bsf(U1.arr, refvalue = 0., refpoint = [25, 0], /transport )
+  ;formulation for variable: TRANSPORT
+  ;bb1 = bsf(U1.arr, refvalue = 0., refpoint = [25, 0], /transport )
+  ;
+  ;formulation for variable: VELOCITY
+  bb1 = bsf(U1.arr, refvalue = 0., refpoint = [25, 0])
   title = 'Barotropic Stream Function!C'+std_file1_U
   plt, bb1, min = -200., max = 200., int = 10., /portrait, FORMAT = '(I4)', STYLE = 'so0so' $
@@ -20,5 +24,8 @@
 
   if std_file1_U NE std_file2_U then BEGIN
-    bb2 = bsf(U2.arr, refvalue = 0., refpoint = [25, 0], /transport )
+    ;formulation for variable: TRANSPORT
+    ;bb2 = bsf(U2.arr, refvalue = 0., refpoint = [25, 0], /transport )
+    ;formulation for variable: VELOCITY
+    bb2 = bsf(U2.arr, refvalue = 0., refpoint = [25, 0] )
     title = 'Barotropic Stream Function!C'+std_file1_U+' - '+std_file2_U
     plt, bb1.arr - bb2.arr, min = -20., max = 20., int = 2.,  FORMAT = '(I2)', STYLE = 'so0so' $
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_msf.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_msf.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_msf.pro	(revision 4394)
@@ -33,5 +33,9 @@
   domdef, 0, 6000
 
-  mm1 = msf(V1.arr, msk, indexboxzoom = ind, maskout = ma, /transport )
+  ;formulation for variable: TRANSPORT
+  ;mm1 = msf(V1.arr, msk, indexboxzoom = ind, maskout = ma, /transport )
+  ;
+  ;formulation for variable: VELOCITY
+  mm1 = msf(V1.arr, msk, indexboxzoom = ind, maskout = ma )
   title = 'Meridional Stream Function, '+subname+'!C'+std_file1_V
   pltz, mm1, 'yz', -20., 20., int = 1., boxzoom = [ind[0:1], lat_ext, 0, 5500], /xindex, FORMAT = '(I3)', /portrait $
@@ -39,5 +43,9 @@
 
   if std_file1_V NE std_file2_V then begin
-    mm2 = msf(V2.arr, msk, indexboxzoom = ind, maskout = ma, /transport)
+    ;formulation for variable: TRANSPORT
+    ;mm2 = msf(V2.arr, msk, indexboxzoom = ind, maskout = ma, /transport )
+    ;
+    ;formulation for variable: VELOCITY
+    mm2 = msf(V2.arr, msk, indexboxzoom = ind, maskout = ma)
     title = title+' - '+std_file2_V
     pltz, mm1.arr-mm2.arr, 'yz', -10., 10., int = 1., boxzoom = [ind[0:1], lat_ext, 0, 5500], /xindex,  FORMAT = '(I3)'  $
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4394)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4394)
@@ -0,0 +1,119 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Sebastien Masson - 04/2011 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# define all varibles needed by std_plot.sh and std_plot.pro
+#
+# EXAMPLES
+# ========
+# $ . ./std_plot_vardef.sh
+#
+#
+#===================== User PATHS =====================
+#
+#idl_command=/Applications/itt/idl64/bin/idl
+idl_command=/Applications/itt/idl71/bin/idl
+#idl_command=/usr/local_linux/idl/idl_6.4/idl64/bin/idl
+#idl_command=idl71
+#
+PS_DIR=$( pwd )/sbcmodMV_ps_plot
+PDF_DIR=$( pwd )/sbcmodMV_pdf_plot
+HTML_DIR=$( pwd )/html_plot
+SAXO_DIR=/Users/sflod/SAXO_DIR
+#
+DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada     # path of data in NetCDF format
+DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+#
+#===================== Model GRID =====================
+#
+FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
+FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
+#
+#===================== DATA =====================
+#
+VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
+VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
+VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
+VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
+VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
+VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
+VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
+VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
+VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
+VAR_SNOW_NH=SnowDepth    ;   FILE_SNOW_ARC=Warren99_1954_1991_arctic_snowdepth.nc    # Snow arctic 
+VAR_SNOW_SH=sno_dept_mm  ;   FILE_SNOW_ANT=SMMR_SSMI_antarc_sno_dep_mm1979_2004.nc   # Snow antartic
+#
+# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
+#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
+VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
+#
+#===================== EXP1 =====================
+#
+FILE1_T=sbcmodMV_20410101_20501231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=sbcmodMV_20410101_20501231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=sbcmodMV_20410101_20501231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=sbcmodMV_20410101_20501231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=thetao
+VAR1_S=so        
+VAR1_QNET=tohfls
+VAR1_ERP=sowafldp      
+VAR1_EMP=wfo
+VAR1_MLD=mldr10_1
+VAR1_U=uocetr_eff
+VAR1_V=vocetr_eff
+VAR1_Ithick=sithic
+VAR1_Ifrac=siconc
+VAR1_SNOW=sndept
+#
+#===================== EXP2 =====================
+#
+FILE2_T=sbcmodMV_20410101_20501231_1Y_grid_T.nc   # exp1 grid T input file
+FILE2_U=sbcmodMV_20410101_20501231_1Y_grid_U.nc   # exp1 grid U input file
+FILE2_V=sbcmodMV_20410101_20501231_1Y_grid_V.nc   # exp1 grid V input file
+FILE2_I=sbcmodMV_20410101_20501231_1M_icemod.nc   # exp1 ice    input file
+VAR2_T=thetao
+VAR2_S=so
+VAR2_QNET=tohfls
+VAR2_ERP=sowafldp
+VAR2_EMP=wfo
+VAR2_MLD=mldr10_1
+VAR2_U=uocetr_eff
+VAR2_V=vocetr_eff
+VAR2_Ithick=sithic
+VAR2_Ifrac=siconc
+VAR2_SNOW=sndept
+#
+######################### Export Variables ###############################
+#
+#===================== User PATHS =====================
+export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
+export DIR_DATA DIR_CLIMATO DIR_MASK
+#===================== Model GRID =====================
+export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
+#===================== DATA =====================
+export FILE_TEMP_3D   VAR_TEMP_3D
+export FILE_SAL_3D    VAR_SAL_3D
+export FILE_SST       VAR_SST
+export FILE_GEOHEAT   VAR_GEOHEAT
+export FILE_FLUX      VAR_FLUX
+export FILE_MLD       VAR_MLD
+export FILE_ICE       VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH VAR_ICE_area_SH
+export FILE_SNOW_ARC  VAR_SNOW_NH
+export FILE_SNOW_ANT  VAR_SNOW_SH
+#===================== EXP1 =====================
+export READ_ONLY_FIRST_RECORD
+export FILE1_T     FILE1_U  FILE1_V   FILE1_I
+export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
+export VAR1_U      VAR1_V
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow
+#===================== EXP2 =====================
+export FILE2_T     FILE2_U    FILE2_V   FILE2_I
+export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
+export VAR2_U      VAR2_V
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow
+#
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro	(revision 4394)
@@ -14,6 +14,6 @@
   ts_Time = 0.
 
-  ;SF trans = strlowcase(var_name) EQ 'vocetr_eff'
-  trans = strlowcase(var_name) EQ 'vomeeftr'
+  trans = strlowcase(var_name) EQ 'vocetr_eff' OR strlowcase(var_name) EQ 'vomeeftr'
+  ;trans = strlowcase(var_name) EQ 'vomeeftr'
 
   ; ADD definition of mask_atl_nomed to compute AMOC (with no Mediterranean Sea)
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro	(revision 4394)
@@ -32,6 +32,7 @@
   u1 = rseries_ncdf(vU1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, /nostruct)
   drk1 = fltarr(jpt)
-   ;SF trans = strlowcase(getenv('VAR1_U')) EQ 'uocetr_eff'
-   trans = strlowcase(getenv('VAR1_U')) EQ 'vozoeftr'
+  ; old formulation: we tested variable name
+  trans = strlowcase(getenv('VAR1_U')) EQ 'uocetr_eff' OR strlowcase(getenv('VAR1_U')) EQ 'vozoeftr'
+  ;SF trans = strlowcase(getenv('VAR1_U')) EQ 'vozoeftr'
   FOR t = 0, jpt-1 DO BEGIN
     tmp = bsf(u1[*, *, *, t], TRANSPORT = trans, /nostruct)
@@ -49,6 +50,7 @@
     u2 = rseries_ncdf(vU2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec, /nostruct)
     drk2 = fltarr(jpt)
-    ;SF trans = strlowcase(getenv('VAR2_U')) EQ 'uocetr_eff'
-    trans = strlowcase(getenv('VAR1_U')) EQ 'vozoeftr'
+    ; old formulation: we tested variable name
+    trans = strlowcase(getenv('VAR2_U')) EQ 'uocetr_eff' OR strlowcase(getenv('VAR2_U')) EQ 'vozoeftr'
+    ;SF trans = strlowcase(getenv('VAR1_U')) EQ 'vozoeftr'
     FOR t = 0, jpt-1 DO BEGIN
       tmp = bsf(u2[*, *, *, t], TRANSPORT = trans, /nostruct)
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4394)
@@ -29,5 +29,5 @@
   time_ice = (round(time_ice) + 11) mod 12; round to nearest integer
   t1 = where(time_ice eq 0)
-  t1 = t1[0] ;  jannuary
+  t1 = t1[0] ;  january
   t2 = where(time_ice eq 11, count)
   t2 = t2[count-1] ; last day of december
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4394)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4394)
@@ -0,0 +1,150 @@
+function read_arr2d, filename, varname, t1, t2
+;; function that read input file and return 2d array with monthly timecounter 
+nyear = (t2-t1+1)/12
+arr2d = ncdf_lec(filename, VAR=varname)
+arr2d = arr2d[t1:t2]
+arr2d = reform(arr2d,12,nyear) ; put in 2D array
+arr2d = total(arr2d,2)/nyear ; total over 2th dimension (i.e.years)
+
+return, arr2d
+end 
+
+;
+;
+pro std_ts_ICE_FRAM, masknp, s_iodir_data,  POSTSCRIPT = postscript, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+  
+@common
+@std_common
+
+; get exp1 info
+  vICE1     = getenv('VAR1_ICE')     &   prefix = getenv('V1ICE_PREF')  &   suffix = getenv('V1ICE_SUFF')
+  v1_Ithick = getenv('VAR1_Ithick')  &   prefix = getenv('V1It_PREF')   &   suffix = getenv('V1It_SUFF')
+  v1_IV     = getenv('VAR1_IvelV')   &   prefix = getenv('V1IvV_PREF')  &   suffix = getenv('V1IvV_SUFF')
+; get exp2 info
+  vICE2     = getenv('VAR2_ICE')     &   prefix2 = getenv('V2ICE_PREF')   &   suffix2 = getenv('V2ICE_SUFF')
+  v2_Ithick = getenv('VAR2_Ithick')  &   prefix2 = getenv('V2It_PREF')    &   suffix2 = getenv('V2It_SUFF')
+  v2_IV     = getenv('VAR2_IvelV')   &   prefix = getenv('V2IvV_PREF')    &   suffix = getenv('V2IvV_SUFF')
+
+  cdti3 = string(cnt, format = '(i3.3)')
+  print, cdti3 + ') ' + blabla
+  filename = cdti3 + '_ts_ICE_FRAM_'+prefix
+  if prefix NE prefix2 then filename = filename + '_'+prefix2
+  if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
+;
+  d1_d2 = '('+strtrim(date1, 1)+' - '+strtrim(date2, 1)+')'
+;
+  iodir = std_iodir_data
+  ; ICE Area(=Surface) in FRAM Strait
+  ;; FRAM Strait points, computed with ncview meshmask for ORCA2 grid (133-1434-135-136, 137)
+  indx0 = 133 
+  indx0_last = 136
+  indy0 = 137
+  indy0_last = 137
+  ;; ORI domdef, 133, 137, 136, 136, /xindex, /yindex,/memeindices
+  indx1= (indx0 - ixminmesh + key_shift)mod(jpi)
+  indx2= (indx0_last - ixminmesh + key_shift)mod(jpi)
+  indy1= indy0 - iyminmesh
+  indy2= indy1 
+ ;
+  domdef, indx1, indx2, indy1, indy2, /xindex, /yindex,/memeindices
+  ICE = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, /nostruct)
+  ICE_thick = rseries_ncdf(v1_Ithick, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, /nostruct)
+ ; domdef for V-Point in j-1
+ ; REALLY NOT NECESSARY, BECAUSE FLUX CAN BE COMPUTED IN J POINT, is the same
+  domdef, indx1, indx2, indy1-1, indy2-1, /xindex, /yindex,/memeindices
+  VN = rseries_ncdf(v1_IV, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,/nostuct) ;!! warning positive northward
+
+  ;; Area export
+  ICE_area_export = (-1) * ICE * VN.arr * ((e1v[firstxv:lastxv, firstyv:lastyv])[*]#replicate(1., jpt))
+  ICE_area_export = total(reform(ICE_area_export),1) ; in m2/s -> need to change the unit?
+
+  ;; Volume export
+  ICE_vol_export = (-1) * ICE * ICE_thick * VN.arr * ((e1v[firstxv:lastxv, firstyv:lastyv])[*]#replicate(1., jpt))
+  ICE_vol_export = total(reform(ICE_vol_export),1) ;! in m3/s -> need to change the unit?
+
+  ;   needed for seasonal cycle :
+  if jpt mod 12 ne 0 then stop
+  nyr=jpt/12.
+  ;; AREA
+  ICE_area_export = reform(ICE_area_export, 12, nyr)
+  ICE_area_export = total(ICE_area_export,2)/nyr
+  ICE_area_export = {arr:ICE_area_export * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}
+  ;
+  ICE_vol_export = reform(ICE_vol_export, 12, nyr)
+  ICE_vol_export = total(ICE_vol_export,2)/nyr
+  ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}
+
+  ;
+  ;title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  title = 'Fram Strait Areal Export'+'!C'+prefix+' '+d1_d2
+  jpt=12
+  time=julday(1,15,1900)+30*lindgen(12)
+  pltt, ICE_area_export, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 2. $
+        , small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
+  ;
+  ;title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
+  title = 'Fram Strait Volume Export'+'!C'+prefix+' '+d1_d2
+  pltt, ICE_vol_export, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
+        , small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
+  ;
+  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
+  if KEYWORD_SET(postscript) then closeps
+
+  if prefix NE prefix2 then BEGIN
+
+    d1_d2_2 = '('+strtrim(date1_2, 1)+' - '+strtrim(date2_2, 1)+')'
+    tsave = time
+    domdef, indx1, indx2, indy1, indy2, /xindex, /yindex,/memeindices
+    ICE_2= rseries_ncdf(vICE2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec, /nostruct)
+    ICE_thick_2 = rseries_ncdf(v2_Ithick, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec, /nostruct)
+    ; domdef for V-Point in j-1
+    ; REALLY NOT NECESSARY, BECAUSE FLUX CAN BE COMPUTED IN J POINT, is the same
+    domdef, indx1, indx2, indy1-1, indy2-1, /xindex, /yindex,/memeindices
+    VN_2 = rseries_ncdf(v2_IV, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec,/nostuct) ;!! warning positive northward
+
+    ;; Area export
+    ICE_area_export_2 = (-1) * ICE_2 * VN_2.arr * ((e1v[firstxv:lastxv, firstyv:lastyv])[*]#replicate(1., jpt))
+    ICE_area_export_2 = total(reform(ICE_area_export_2),1) ; in m2/s -> need to change the unit?
+
+    ;; Volume export
+    ICE_vol_export_2 = (-1) * ICE_2 * ICE_thick_2 * VN_2.arr * ((e1v[firstxv:lastxv, firstyv:lastyv])[*]#replicate(1., jpt))
+    ICE_vol_export_2 = total(reform(ICE_vol_export_2),1) ;! in m3/s -> need to change the unit?
+
+    ;   needed for seasonal cycle :
+    if jpt mod 12 ne 0 then stop
+    nyr=jpt/12.
+    ;; AREA
+    ICE_area_export_2 = reform(ICE_area_export_2, 12, nyr)
+    ICE_area_export_2 = total(ICE_area_export_2,2)/nyr
+    ICE_area_export_2 = {arr:ICE_area_export_2 * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}
+    ;
+    ICE_vol_export_2 = reform(ICE_vol_export_2, 12, nyr)
+    ICE_vol_export_2 = total(ICE_vol_export_2,2)/nyr
+    ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}
+    ;
+    ;
+    if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
+
+    title = 'Fram Strait Areal Export'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2
+    jpt=12
+    time=julday(1,15,1900)+30*lindgen(12)
+    pltt, ICE_area_export - ICE_area_export_2, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 2. $
+        , small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
+    ;
+    title = 'Fram Strait Volume Export'+'!C'+prefix+' - '+prefix2+' '+d1_d2_2
+    pltt, ICE_vol_export - ICE_vol_export_2, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
+        , small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
+    ;
+
+    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
+    if KEYWORD_SET(postscript) then closeps
+
+  endif
+
+  domdef
+  
+
+  return
+end
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4394)
@@ -81,4 +81,7 @@
 ;SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_SNOW_Vol, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
+  cnt = cnt+1   &   blabla = 'Sea-Ice Volume Export at Fram Strait'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_FRAM, masknp, POSTSCRIPT = postscript, _extra = ex
+;
   IF n_elements(htmltxt) GT 1 THEN putfile, psdir+'std_ts_html_body.txt', htmltxt[1:*]
 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4394)
@@ -65,4 +65,5 @@
 VAR1_Ithick=iicethic    ;   V1It_PREF=500yfwb2     ;   V1It_SUFF=_1M_icemod.nc
 VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=500yfwb2   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=iicevelv     ;   V1IvV_PREF=500yfwb2    ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -81,4 +82,5 @@
 VAR2_Ithick=iicethic    ;   V2It_PREF=500yfwb2     ;   V2It_SUFF=_1M_icemod.nc
 VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=500yfwb2   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=iicevelv     ;   V2IvV_PREF=500yfwb2    ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -112,16 +114,17 @@
 export VAR1_Ithick  V1It_PREF    V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
-export VAR2_T       V2T_PREF    V2T_SUFF
-export VAR2_S       V2S_PREF    V2S_SUFF
-export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
-export VAR2_Q       V2Q_PREF    V2Q_SUFF
-export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
-export VAR2_U       V2U_PREF    V2U_SUFF
-export VAR2_V       V2V_PREF    V2V_SUFF
-export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
-export VAR2_Ithick  V2It_PREF   V2It_SUFF
-export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_T       V2T_PREF     V2T_SUFF
+export VAR2_S       V2S_PREF     V2S_SUFF
+export VAR2_SSH     V2SSH_PREF   V2SSH_SUFF
+export VAR2_Q       V2Q_PREF     V2Q_SUFF
+export VAR2_EMP     V2EMP_PREF   V2EMP_SUFF
+export VAR2_U       V2U_PREF     V2U_SUFF
+export VAR2_V       V2V_PREF     V2V_SUFF
+export VAR2_ICE     V2ICE_PREF   V2ICE_SUFF
+export VAR2_Ithick  V2It_PREF    V2It_SUFF
+export VAR2_SNOW    V2SNOW_PREF  V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb0
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb0	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb0	(revision 4394)
@@ -65,4 +65,5 @@
 VAR1_Ithick=iicethic    ;   V1It_PREF=500yfwb0     ;   V1It_SUFF=_1M_icemod.nc
 VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=500yfwb0   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=iicevelv     ;   V1IvV_PREF=500yfwb0    ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -81,4 +82,5 @@
 VAR2_Ithick=iicethic    ;   V2It_PREF=500yfwb0     ;   V2It_SUFF=_1M_icemod.nc
 VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=500yfwb0   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=iicevelv     ;   V2IvV_PREF=500yfwb0    ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -112,16 +114,17 @@
 export VAR1_Ithick  V1It_PREF    V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
-export VAR2_T       V2T_PREF    V2T_SUFF
-export VAR2_S       V2S_PREF    V2S_SUFF
-export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
-export VAR2_Q       V2Q_PREF    V2Q_SUFF
-export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
-export VAR2_U       V2U_PREF    V2U_SUFF
-export VAR2_V       V2V_PREF    V2V_SUFF
-export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
-export VAR2_Ithick  V2It_PREF   V2It_SUFF
-export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_T       V2T_PREF     V2T_SUFF
+export VAR2_S       V2S_PREF     V2S_SUFF
+export VAR2_SSH     V2SSH_PREF   V2SSH_SUFF
+export VAR2_Q       V2Q_PREF     V2Q_SUFF
+export VAR2_EMP     V2EMP_PREF   V2EMP_SUFF
+export VAR2_U       V2U_PREF     V2U_SUFF
+export VAR2_V       V2V_PREF     V2V_SUFF
+export VAR2_ICE     V2ICE_PREF   V2ICE_SUFF
+export VAR2_Ithick  V2It_PREF    V2It_SUFF
+export VAR2_SNOW    V2SNOW_PREF  V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb2
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb2	(revision 4394)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.500yfwb2	(revision 4394)
@@ -0,0 +1,130 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Sebastien Masson - 04/2011 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# define all varibles needed by std_ts.sh and std_ts.pro
+#
+# EXAMPLES
+# ========
+# $ . ./std_ts_vardef.sh
+#
+#
+#===================== User PATHS =====================
+#
+idl_command=/Applications/itt/idl64/bin/idl
+#
+PS_DIR=$( pwd )/ts_500yfwb2_ps
+PDF_DIR=$( pwd )/ts_500yfwb2_pdf
+HTML_DIR=$( pwd )/html
+SAXO_DIR=/Users/sflod/SAXO_DIR
+#
+DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada      # path of data in NetCDF format
+DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+#
+#===================== Model GRID =====================
+#
+FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
+FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
+#
+#===================== DATA =====================
+#
+VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
+VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
+VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
+VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
+VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
+VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
+VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
+VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
+VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
+#
+# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
+#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
+VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
+#
+#===================== EXP1 =====================
+#
+READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
+#
+DATE1=20010101   ;   DATE2=25001231
+#DATE1=00010101  		;   DATE2=00101231
+#
+VAR1_T=votemper         ;   V1T_PREF=500yfwb2      ;   V1T_SUFF=_1Y_grid_T.nc
+VAR1_S=vosaline         ;   V1S_PREF=500yfwb2      ;   V1S_SUFF=_1Y_grid_T.nc
+VAR1_SSH=sossheig       ;   V1SSH_PREF=500yfwb2    ;   V1SSH_SUFF=_1Y_grid_T.nc
+VAR1_Q=sohflxdo         ;   V1Q_PREF=500yfwb2      ;   V1Q_SUFF=_1Y_grid_T.nc
+VAR1_EMP=sowaflup       ;   V1EMP_PREF=500yfwb2    ;   V1EMP_SUFF=_1Y_grid_T.nc
+VAR1_U=vozoeftr         ;   V1U_PREF=500yfwb2      ;   V1U_SUFF=_1Y_grid_U.nc
+VAR1_V=vomeeftr         ;   V1V_PREF=500yfwb2      ;   V1V_SUFF=_1Y_grid_V.nc
+VAR1_ICE=iiceconc       ;   V1ICE_PREF=500yfwb2    ;   V1ICE_SUFF=_1M_icemod.nc
+VAR1_Ithick=iicethic    ;   V1It_PREF=500yfwb2     ;   V1It_SUFF=_1M_icemod.nc
+VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=500yfwb2   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=iicevelv     ;   V1IvV_PREF=500yfwb2    ;   V1IvV_SUFF=_1M_icemod.nc
+#
+#===================== EXP2 =====================
+#
+#DATE1_2=20010101   ;   DATE2_2=20101231
+DATE1_2=20010101   ;   DATE2_2=25001231
+#
+VAR2_T=votemper         ;   V2T_PREF=500yfwb2      ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=vosaline         ;   V2S_PREF=500yfwb2      ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=sossheig       ;   V2SSH_PREF=500yfwb2    ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=sohflxdo         ;   V2Q_PREF=500yfwb2      ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=sowaflup       ;   V2EMP_PREF=500yfwb2    ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=vozoeftr         ;   V2U_PREF=500yfwb2      ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=vomeeftr         ;   V2V_PREF=500yfwb2      ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=iiceconc       ;   V2ICE_PREF=500yfwb2    ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=iicethic    ;   V2It_PREF=500yfwb2     ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=500yfwb2   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=iicevelv     ;   V2IvV_PREF=500yfwb2    ;   V2IvV_SUFF=_1M_icemod.nc
+#
+######################### Export Variables ###############################
+#
+#===================== User PATHS =====================
+export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
+export DIR_DATA DIR_CLIMATO DIR_MASK
+#===================== Model GRID =====================
+export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
+#===================== DATA =====================
+export FILE_TEMP_3D  VAR_TEMP_3D
+export FILE_SAL_3D   VAR_SAL_3D
+export FILE_SST      VAR_SST
+export FILE_GEOHEAT  VAR_GEOHEAT
+export FILE_FLUX     VAR_FLUX
+export FILE_MLD      VAR_MLD
+export FILE_ICE      VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH  VAR_ICE_area_SH
+export FILE_SNOW     VAR_SNOW_NH     VAR_SNOW_SH    VAR_SNOW_area_NH VAR_SNOW_area_SH
+#===================== EXP1 =====================
+export READ_ONLY_FIRST_RECORD
+#
+export DATE1        DATE2
+export VAR1_T       V1T_PREF     V1T_SUFF
+export VAR1_S       V1S_PREF     V1S_SUFF
+export VAR1_SSH     V1SSH_PREF   V1SSH_SUFF
+export VAR1_Q       V1Q_PREF     V1Q_SUFF
+export VAR1_EMP     V1EMP_PREF   V1EMP_SUFF
+export VAR1_U       V1U_PREF     V1U_SUFF
+export VAR1_V       V1V_PREF     V1V_SUFF
+export VAR1_ICE     V1ICE_PREF   V1ICE_SUFF
+export VAR1_Ithick  V1It_PREF    V1It_SUFF
+export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
+#===================== EXP2 =====================
+export DATE1_2      DATE2_2
+export VAR2_T       V2T_PREF     V2T_SUFF
+export VAR2_S       V2S_PREF     V2S_SUFF
+export VAR2_SSH     V2SSH_PREF   V2SSH_SUFF
+export VAR2_Q       V2Q_PREF     V2Q_SUFF
+export VAR2_EMP     V2EMP_PREF   V2EMP_SUFF
+export VAR2_U       V2U_PREF     V2U_SUFF
+export VAR2_V       V2V_PREF     V2V_SUFF
+export VAR2_ICE     V2ICE_PREF   V2ICE_SUFF
+export VAR2_Ithick  V2It_PREF    V2It_SUFF
+export VAR2_SNOW    V2SNOW_PREF  V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
+#
Index: anches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.l378sal6
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.l378sal6	(revision 4393)
+++ 	(revision )
@@ -1,127 +1,0 @@
-#!/bin/sh 
-#
-# AUTHOR - date
-# ===========
-# Sebastien Masson - 04/2011 - LOCEAN
-#
-# DESCRIPTION
-# ===========
-# define all varibles needed by std_ts.sh and std_ts.pro
-#
-# EXAMPLES
-# ========
-# $ . ./std_ts_vardef.sh
-#
-#
-#===================== User PATHS =====================
-#
-idl_command=/Applications/itt/idl64/bin/idl
-#
-PS_DIR=$( pwd )/ts_l378sal6_ps
-PDF_DIR=$( pwd )/ts_l378sal6_pdf
-HTML_DIR=$( pwd )/html
-SAXO_DIR=/Users/sflod/SAXO_DIR
-#
-DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada      # path of data in NetCDF format
-DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
-DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
-#
-#===================== Model GRID =====================
-#
-FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
-FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
-#
-#===================== DATA =====================
-#
-VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
-VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
-VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
-VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
-VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
-VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
-VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
-VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
-VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
-#
-# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
-#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
-VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
-#
-#===================== EXP1 =====================
-#
-READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
-#
-DATE1=20010101   ;   DATE2=25001231
-#DATE1=00010101  		;   DATE2=00101231
-#
-VAR1_T=votemper         ;   V1T_PREF=l378sal6      ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=vosaline         ;   V1S_PREF=l378sal6      ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=sossheig       ;   V1SSH_PREF=l378sal6    ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=sohflxdo         ;   V1Q_PREF=l378sal6      ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=sowaflup       ;   V1EMP_PREF=l378sal6    ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=vozoeftr         ;   V1U_PREF=l378sal6      ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=vomeeftr         ;   V1V_PREF=l378sal6      ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=iiceconc       ;   V1ICE_PREF=l378sal6    ;   V1ICE_SUFF=_1M_icemod.nc
-VAR1_Ithick=iicethic    ;   V1It_PREF=l378sal6     ;   V1It_SUFF=_1M_icemod.nc
-VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=l378sal6   ;   V1SNOW_SUFF=_1M_icemod.nc
-#
-#===================== EXP2 =====================
-#
-#DATE1_2=20010101   ;   DATE2_2=20101231
-DATE1_2=20010101   ;   DATE2_2=25001231
-#
-VAR2_T=votemper         ;   V2T_PREF=l378sal6      ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=vosaline         ;   V2S_PREF=l378sal6      ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=sossheig       ;   V2SSH_PREF=l378sal6    ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=sohflxdo         ;   V2Q_PREF=l378sal6      ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=sowaflup       ;   V2EMP_PREF=l378sal6    ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=vozoeftr         ;   V2U_PREF=l378sal6      ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vomeeftr         ;   V2V_PREF=l378sal6      ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=iiceconc       ;   V2ICE_PREF=l378sal6    ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=iicethic    ;   V2It_PREF=l378sal6     ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=l378sal6   ;   V2SNOW_SUFF=_1M_icemod.nc
-#
-######################### Export Variables ###############################
-#
-#===================== User PATHS =====================
-export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
-export DIR_DATA DIR_CLIMATO DIR_MASK
-#===================== Model GRID =====================
-export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
-#===================== DATA =====================
-export FILE_TEMP_3D  VAR_TEMP_3D
-export FILE_SAL_3D   VAR_SAL_3D
-export FILE_SST      VAR_SST
-export FILE_GEOHEAT  VAR_GEOHEAT
-export FILE_FLUX     VAR_FLUX
-export FILE_MLD      VAR_MLD
-export FILE_ICE      VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH  VAR_ICE_area_SH
-export FILE_SNOW     VAR_SNOW_NH     VAR_SNOW_SH    VAR_SNOW_area_NH VAR_SNOW_area_SH
-#===================== EXP1 =====================
-export READ_ONLY_FIRST_RECORD
-#
-export DATE1        DATE2
-export VAR1_T       V1T_PREF     V1T_SUFF
-export VAR1_S       V1S_PREF     V1S_SUFF
-export VAR1_SSH     V1SSH_PREF   V1SSH_SUFF
-export VAR1_Q       V1Q_PREF     V1Q_SUFF
-export VAR1_EMP     V1EMP_PREF   V1EMP_SUFF
-export VAR1_U       V1U_PREF     V1U_SUFF
-export VAR1_V       V1V_PREF     V1V_SUFF
-export VAR1_ICE     V1ICE_PREF   V1ICE_SUFF
-export VAR1_Ithick  V1It_PREF    V1It_SUFF
-export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
-#===================== EXP2 =====================
-export DATE1_2      DATE2_2
-export VAR2_T       V2T_PREF    V2T_SUFF
-export VAR2_S       V2S_PREF    V2S_SUFF
-export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
-export VAR2_Q       V2Q_PREF    V2Q_SUFF
-export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
-export VAR2_U       V2U_PREF    V2U_SUFF
-export VAR2_V       V2V_PREF    V2V_SUFF
-export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
-export VAR2_Ithick  V2It_PREF   V2It_SUFF
-export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
-#
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.new_names
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.new_names	(revision 4394)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.new_names	(revision 4394)
@@ -0,0 +1,131 @@
+#!/bin/sh 
+#
+# AUTHOR - date
+# ===========
+# Sebastien Masson - 04/2011 - LOCEAN
+#
+# DESCRIPTION
+# ===========
+# define all varibles needed by std_ts.sh and std_ts.pro
+#
+# EXAMPLES
+# ========
+# $ . ./std_ts_vardef.sh
+#
+#
+#===================== User PATHS =====================
+#
+idl_command=/Applications/itt/idl64/bin/idl
+#
+PS_DIR=$( pwd )/ts_sbcmodMV_ps
+PDF_DIR=$( pwd )/ts_sbcmodMV_pdf
+HTML_DIR=$( pwd )/html
+SAXO_DIR=/Users/sflod/SAXO_DIR
+#
+DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada      # path of data in NetCDF format
+DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
+DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
+#
+#===================== Model GRID =====================
+#
+FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
+FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
+#
+#===================== DATA =====================
+#
+VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
+VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
+VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
+VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
+VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
+VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
+VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
+VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
+VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
+#
+# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
+#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
+VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
+#
+#===================== EXP1 =====================
+#
+READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
+#
+#DATE1=20010101   ;   DATE2=25001231
+DATE1=20010101    ;   DATE2=20501231
+#DATE1=00010101  		;   DATE2=00101231
+#
+VAR1_T=thetao        ;   V1T_PREF=sbcmodMV      ;   V1T_SUFF=_1Y_grid_T.nc
+VAR1_S=so            ;   V1S_PREF=sbcmodMV      ;   V1S_SUFF=_1Y_grid_T.nc
+VAR1_SSH=zos         ;   V1SSH_PREF=sbcmodMV    ;   V1SSH_SUFF=_1Y_grid_T.nc
+VAR1_Q=tohfls        ;   V1Q_PREF=sbcmodMV      ;   V1Q_SUFF=_1Y_grid_T.nc
+VAR1_EMP=wfo         ;   V1EMP_PREF=sbcmodMV    ;   V1EMP_SUFF=_1Y_grid_T.nc
+VAR1_U=uocetr_eff    ;   V1U_PREF=sbcmodMV      ;   V1U_SUFF=_1Y_grid_U.nc
+VAR1_V=vocetr_eff    ;   V1V_PREF=sbcmodMV      ;   V1V_SUFF=_1Y_grid_V.nc
+VAR1_ICE=siconc      ;   V1ICE_PREF=sbcmodMV    ;   V1ICE_SUFF=_1M_icemod.nc
+VAR1_Ithick=sithic   ;   V1It_PREF=sbcmodMV     ;   V1It_SUFF=_1M_icemod.nc
+VAR1_SNOW=sndept     ;   V1SNOW_PREF=sbcmodMV   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=sivelv    ;   V1IvV_PREF=sbcmodMV    ;   V1IvV_SUFF=_1M_icemod.nc
+#
+#===================== EXP2 =====================
+#
+#DATE1_2=20010101    ;   DATE2_2=20101231
+DATE1_2=20010101     ;   DATE2_2=20501231
+#
+VAR2_T=thetao        ;   V2T_PREF=sbcmodMV      ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=so            ;   V2S_PREF=sbcmodMV      ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=zos         ;   V2SSH_PREF=sbcmodMV    ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=tohfls        ;   V2Q_PREF=sbcmodMV      ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=wfo         ;   V2EMP_PREF=sbcmodMV    ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=uocetr_eff    ;   V2U_PREF=sbcmodMV      ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=vocetr_eff    ;   V2V_PREF=sbcmodMV      ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=siconc      ;   V2ICE_PREF=sbcmodMV    ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=sithic   ;   V2It_PREF=sbcmodMV     ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=sndept     ;   V2SNOW_PREF=sbcmodMV   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=sivelv    ;   V2IvV_PREF=sbcmodMV    ;   V2IvV_SUFF=_1M_icemod.nc
+#
+######################### Export Variables ###############################
+#
+#===================== User PATHS =====================
+export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
+export DIR_DATA DIR_CLIMATO DIR_MASK
+#===================== Model GRID =====================
+export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
+#===================== DATA =====================
+export FILE_TEMP_3D  VAR_TEMP_3D
+export FILE_SAL_3D   VAR_SAL_3D
+export FILE_SST      VAR_SST
+export FILE_GEOHEAT  VAR_GEOHEAT
+export FILE_FLUX     VAR_FLUX
+export FILE_MLD      VAR_MLD
+export FILE_ICE      VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH  VAR_ICE_area_SH
+export FILE_SNOW     VAR_SNOW_NH     VAR_SNOW_SH    VAR_SNOW_area_NH VAR_SNOW_area_SH
+#===================== EXP1 =====================
+export READ_ONLY_FIRST_RECORD
+#
+export DATE1        DATE2
+export VAR1_T       V1T_PREF     V1T_SUFF
+export VAR1_S       V1S_PREF     V1S_SUFF
+export VAR1_SSH     V1SSH_PREF   V1SSH_SUFF
+export VAR1_Q       V1Q_PREF     V1Q_SUFF
+export VAR1_EMP     V1EMP_PREF   V1EMP_SUFF
+export VAR1_U       V1U_PREF     V1U_SUFF
+export VAR1_V       V1V_PREF     V1V_SUFF
+export VAR1_ICE     V1ICE_PREF   V1ICE_SUFF
+export VAR1_Ithick  V1It_PREF    V1It_SUFF
+export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
+#===================== EXP2 =====================
+export DATE1_2      DATE2_2
+export VAR2_T       V2T_PREF    V2T_SUFF
+export VAR2_S       V2S_PREF    V2S_SUFF
+export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
+export VAR2_Q       V2Q_PREF    V2Q_SUFF
+export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
+export VAR2_U       V2U_PREF    V2U_SUFF
+export VAR2_V       V2V_PREF    V2V_SUFF
+export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
+export VAR2_Ithick  V2It_PREF   V2It_SUFF
+export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF  V2IvV_PREF
+#
Index: anches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.qsriceok
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh.qsriceok	(revision 4393)
+++ 	(revision )
@@ -1,127 +1,0 @@
-#!/bin/sh 
-#
-# AUTHOR - date
-# ===========
-# Sebastien Masson - 04/2011 - LOCEAN
-#
-# DESCRIPTION
-# ===========
-# define all varibles needed by std_ts.sh and std_ts.pro
-#
-# EXAMPLES
-# ========
-# $ . ./std_ts_vardef.sh
-#
-#
-#===================== User PATHS =====================
-#
-idl_command=/Applications/itt/idl64/bin/idl
-#
-PS_DIR=$( pwd )/ts_qsriceok_ps
-PDF_DIR=$( pwd )/ts_qsriceok_pdf
-HTML_DIR=$( pwd )/html
-SAXO_DIR=/Users/sflod/SAXO_DIR
-#
-DIR_DATA=/Users/sflod/idl_PLOTS/DATA_STORE/RUN_CLIMATO/lim3_ada      # path of data in NetCDF format
-DIR_CLIMATO=/Users/sflod/idl_PLOTS/CLIMATOLOGIES    # path of climatological data
-DIR_MASK=/Users/sflod/idl_PLOTS/MASK  # path of mask files (ex: subbasins)
-#
-#===================== Model GRID =====================
-#
-FILE_MESH_MASK=/Users/sflod/idl_PLOTS/MASK/ORL2PISV35_mesh_mask.nc # meshmask
-FILE_MASK_SUBDOMAIN=subbasins_orca21_nored.nc              # sub-bassin masks
-#
-#===================== DATA =====================
-#
-VAR_TEMP_3D=votemper     ;   FILE_TEMP_3D=potT_annual_mean.nc                         # PHC3
-VAR_SAL_3D=vosaline      ;   FILE_SAL_3D=Salt_1y_corr_PHC3WOA09.nc                    # PHC3
-VAR_SST=sst              ;   FILE_SST=NewREY_ORCA2_1991_2000_1y.nc                   # Reynolds
-VAR_FLUX=qnet            ;   FILE_FLUX=OAFlux_1my_01_12_1984_2004_orca2_qnet.nc      # flux
-VAR_MLD=mld              ;   FILE_MLD=mld_DR003_c1m_ORCA2_1y.nc                      # Mixed layer depth
-VAR_ICE_EXT_NH=extt_NH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent North Emisphere
-VAR_ICE_EXT_SH=extt_SH   ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Extent South Emisphere
-VAR_ICE_area_NH=area_NH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area North Emisphere
-VAR_ICE_area_SH=area_SH  ;   FILE_ICE=sea_ice_index_2000.nc                               # Ice Area South Emisphere
-#
-# Geothermal heating -> define FILE_GEOHEAT to 'NO' if there is not such forcing
-#                    -> define VAR_GEOHEAT to a constant if geothermal heating is constant over the domain
-VAR_GEOHEAT=heatflow   ;   FILE_GEOHEAT=geothermal_heating.nc 
-#
-#===================== EXP1 =====================
-#
-READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
-#
-DATE1=20010101   ;   DATE2=25001231
-#DATE1=00010101  		;   DATE2=00101231
-#
-VAR1_T=votemper         ;   V1T_PREF=qsriceok      ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=vosaline         ;   V1S_PREF=qsriceok      ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=sossheig       ;   V1SSH_PREF=qsriceok    ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=sohflxdo         ;   V1Q_PREF=qsriceok      ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=sowaflup       ;   V1EMP_PREF=qsriceok    ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=vozoeftr         ;   V1U_PREF=qsriceok      ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=vomeeftr         ;   V1V_PREF=qsriceok      ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=iiceconc       ;   V1ICE_PREF=qsriceok    ;   V1ICE_SUFF=_1M_icemod.nc
-VAR1_Ithick=iicethic    ;   V1It_PREF=qsriceok     ;   V1It_SUFF=_1M_icemod.nc
-VAR1_SNOW=isnowthi      ;   V1SNOW_PREF=qsriceok   ;   V1SNOW_SUFF=_1M_icemod.nc
-#
-#===================== EXP2 =====================
-#
-#DATE1_2=20010101   ;   DATE2_2=20101231
-DATE1_2=20010101   ;   DATE2_2=25001231
-#
-VAR2_T=votemper         ;   V2T_PREF=qsriceok      ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=vosaline         ;   V2S_PREF=qsriceok      ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=sossheig       ;   V2SSH_PREF=qsriceok    ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=sohflxdo         ;   V2Q_PREF=qsriceok      ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=sowaflup       ;   V2EMP_PREF=qsriceok    ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=vozoeftr         ;   V2U_PREF=qsriceok      ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vomeeftr         ;   V2V_PREF=qsriceok      ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=iiceconc       ;   V2ICE_PREF=qsriceok    ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=iicethic    ;   V2It_PREF=qsriceok     ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=isnowthi      ;   V2SNOW_PREF=qsriceok   ;   V2SNOW_SUFF=_1M_icemod.nc
-#
-######################### Export Variables ###############################
-#
-#===================== User PATHS =====================
-export PS_DIR PDF_DIR HTML_DIR SAXO_DIR
-export DIR_DATA DIR_CLIMATO DIR_MASK
-#===================== Model GRID =====================
-export FILE_MESH_MASK FILE_MASK_SUBDOMAIN
-#===================== DATA =====================
-export FILE_TEMP_3D  VAR_TEMP_3D
-export FILE_SAL_3D   VAR_SAL_3D
-export FILE_SST      VAR_SST
-export FILE_GEOHEAT  VAR_GEOHEAT
-export FILE_FLUX     VAR_FLUX
-export FILE_MLD      VAR_MLD
-export FILE_ICE      VAR_ICE_EXT_NH  VAR_ICE_EXT_SH VAR_ICE_area_NH  VAR_ICE_area_SH
-export FILE_SNOW     VAR_SNOW_NH     VAR_SNOW_SH    VAR_SNOW_area_NH VAR_SNOW_area_SH
-#===================== EXP1 =====================
-export READ_ONLY_FIRST_RECORD
-#
-export DATE1        DATE2
-export VAR1_T       V1T_PREF     V1T_SUFF
-export VAR1_S       V1S_PREF     V1S_SUFF
-export VAR1_SSH     V1SSH_PREF   V1SSH_SUFF
-export VAR1_Q       V1Q_PREF     V1Q_SUFF
-export VAR1_EMP     V1EMP_PREF   V1EMP_SUFF
-export VAR1_U       V1U_PREF     V1U_SUFF
-export VAR1_V       V1V_PREF     V1V_SUFF
-export VAR1_ICE     V1ICE_PREF   V1ICE_SUFF
-export VAR1_Ithick  V1It_PREF    V1It_SUFF
-export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
-#===================== EXP2 =====================
-export DATE1_2      DATE2_2
-export VAR2_T       V2T_PREF    V2T_SUFF
-export VAR2_S       V2S_PREF    V2S_SUFF
-export VAR2_SSH     V2SSH_PREF  V2SSH_SUFF
-export VAR2_Q       V2Q_PREF    V2Q_SUFF
-export VAR2_EMP     V2EMP_PREF  V2EMP_SUFF
-export VAR2_U       V2U_PREF    V2U_SUFF
-export VAR2_V       V2V_PREF    V2V_SUFF
-export VAR2_ICE     V2ICE_PREF  V2ICE_SUFF
-export VAR2_Ithick  V2It_PREF   V2It_SUFF
-export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
-#
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 4394)
@@ -54,14 +54,15 @@
 DATE1=20010101   ;   DATE2=21001231
 #
-VAR1_T=thetao      ;   V1T_PREF=tmx_2000     ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=so          ;   V1S_PREF=tmx_2000     ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=zos       ;   V1SSH_PREF=tmx_2000   ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=qns+qsr     ;   V1Q_PREF=tmx_2000     ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=wfo       ;   V1EMP_PREF=tmx_2000   ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=uoce_eff    ;   V1U_PREF=tmx_2000     ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=voce_eff    ;   V1V_PREF=tmx_2000     ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=sic       ;   V1ICE_PREF=tmx_2000   ;   V1ICE_SUFF=_1M_icemod.nc
-VAR1_Ithick=sit    ;   V1It_PREF=tmx_2000    ;   V1It_SUFF=_1M_icemod.nc
-VAR1_SNOW=isnowthi ;   V1SNOW_PREF=tmx_2000  ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_T=thetao          ;   V1T_PREF=tmx_2000     ;   V1T_SUFF=_1Y_grid_T.nc
+VAR1_S=so              ;   V1S_PREF=tmx_2000     ;   V1S_SUFF=_1Y_grid_T.nc
+VAR1_SSH=zos           ;   V1SSH_PREF=tmx_2000   ;   V1SSH_SUFF=_1Y_grid_T.nc
+VAR1_Q=qns+qsr         ;   V1Q_PREF=tmx_2000     ;   V1Q_SUFF=_1Y_grid_T.nc
+VAR1_EMP=wfo           ;   V1EMP_PREF=tmx_2000   ;   V1EMP_SUFF=_1Y_grid_T.nc
+VAR1_U=uoce_eff        ;   V1U_PREF=tmx_2000     ;   V1U_SUFF=_1Y_grid_U.nc
+VAR1_V=voce_eff        ;   V1V_PREF=tmx_2000     ;   V1V_SUFF=_1Y_grid_V.nc
+VAR1_ICE=sic           ;   V1ICE_PREF=tmx_2000   ;   V1ICE_SUFF=_1M_icemod.nc
+VAR1_Ithick=sit        ;   V1It_PREF=tmx_2000    ;   V1It_SUFF=_1M_icemod.nc
+VAR1_SNOW=isnowthi     ;   V1SNOW_PREF=tmx_2000  ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=vice_ipa    ;   V1IvV_PREF=tmx_2000   ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -69,14 +70,15 @@
 DATE1_2=10101   ;   DATE2_2=20001231
 #
-VAR2_T=thetao      ;   V2T_PREF=core2000     ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=so          ;   V2S_PREF=core2000     ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=zos       ;   V2SSH_PREF=core2000   ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=qns+qsr     ;   V2Q_PREF=core2000     ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=wfo       ;   V2EMP_PREF=core2000   ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=uoce_eff    ;   V2U_PREF=core2000     ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=voce_eff    ;   V2V_PREF=core2000     ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=sic       ;   V2ICE_PREF=core2000   ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=sit    ;   V2It_PREF=core2000    ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=isnowthi ;   V2ICE_SNOW=core2000   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_T=thetao         ;   V2T_PREF=core2000     ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=so             ;   V2S_PREF=core2000     ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=zos          ;   V2SSH_PREF=core2000   ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=qns+qsr        ;   V2Q_PREF=core2000     ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=wfo          ;   V2EMP_PREF=core2000   ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=uoce_eff       ;   V2U_PREF=core2000     ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=voce_eff       ;   V2V_PREF=core2000     ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=sic          ;   V2ICE_PREF=core2000   ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=sit       ;   V2It_PREF=core2000    ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=isnowthi    ;   V2ICE_SNOW=core2000   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=vice_ipa   ;   V2IvV_PREF=core2000   ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -110,5 +112,5 @@
 export VAR1_Ithick  V1It_PREF    V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
@@ -123,3 +125,4 @@
 export VAR2_Ithick  V2It_PREF   V2It_SUFF
 export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 4394)
@@ -54,14 +54,15 @@
 DATE1=20010101   ;   DATE2=21001231
 #
-VAR1_T=thetao      ;   V1T_PREF=tag33     ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=so          ;   V1S_PREF=tag33     ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=zos       ;   V1SSH_PREF=tag33   ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=qt          ;   V1Q_PREF=tag33     ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=wfo       ;   V1EMP_PREF=tag33   ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=uocetr_eff  ;   V1U_PREF=tag33     ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=vocetr_eff  ;   V1V_PREF=tag33     ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=sic       ;   V1ICE_PREF=tag33   ;   V1ICE_SUFF=_1M_icemod.nc
-VAR1_Ithick=sit    ;   V1It_PREF=tag33    ;   V1It_SUFF=_1M_icemod.nc
-VAR1_SNOW=isnowthi ;   V1SNOW_PREF=tag33  ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_T=thetao         ;   V1T_PREF=tag33        ;   V1T_SUFF=_1Y_grid_T.nc
+VAR1_S=so             ;   V1S_PREF=tag33        ;   V1S_SUFF=_1Y_grid_T.nc
+VAR1_SSH=zos          ;   V1SSH_PREF=tag33      ;   V1SSH_SUFF=_1Y_grid_T.nc
+VAR1_Q=qt             ;   V1Q_PREF=tag33        ;   V1Q_SUFF=_1Y_grid_T.nc
+VAR1_EMP=wfo          ;   V1EMP_PREF=tag33      ;   V1EMP_SUFF=_1Y_grid_T.nc
+VAR1_U=uocetr_eff     ;   V1U_PREF=tag33        ;   V1U_SUFF=_1Y_grid_U.nc
+VAR1_V=vocetr_eff     ;   V1V_PREF=tag33        ;   V1V_SUFF=_1Y_grid_V.nc
+VAR1_ICE=sic          ;   V1ICE_PREF=tag33      ;   V1ICE_SUFF=_1M_icemod.nc
+VAR1_Ithick=sit       ;   V1It_PREF=tag33       ;   V1It_SUFF=_1M_icemod.nc
+VAR1_SNOW=isnowthi    ;   V1SNOW_PREF=tag33     ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=vice_ipa   ;   V1IvV_PREF=tag33      ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -69,14 +70,15 @@
 DATE1_2=20010101   ;   DATE2_2=21001231
 #
-VAR2_T=thetao      ;   V2T_PREF=trunk331     ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=so          ;   V2S_PREF=trunk331     ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=zos       ;   V2SSH_PREF=trunk331   ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=qt          ;   V2Q_PREF=trunk331     ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=wfo       ;   V2EMP_PREF=trunk331   ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=uocetr_eff  ;   V2U_PREF=trunk331     ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vocetr_eff  ;   V2V_PREF=trunk331     ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=sic       ;   V2ICE_PREF=trunk331   ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=sit    ;   V2It_PREF=trunk331    ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=isnowthi ;   V2ICE_SNOW=trunk331   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_T=thetao         ;   V2T_PREF=trunk331     ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=so             ;   V2S_PREF=trunk331     ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=zos          ;   V2SSH_PREF=trunk331   ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=qt             ;   V2Q_PREF=trunk331     ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=wfo          ;   V2EMP_PREF=trunk331   ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=uocetr_eff     ;   V2U_PREF=trunk331     ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=vocetr_eff     ;   V2V_PREF=trunk331     ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=sic          ;   V2ICE_PREF=trunk331   ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=sit       ;   V2It_PREF=trunk331    ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=isnowthi    ;   V2ICE_SNOW=trunk331   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=vice_ipa   ;   V2IvV_PREF=trunk331   ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -110,5 +112,5 @@
 export VAR1_Ithick  V1It_PREF    V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
@@ -123,3 +125,4 @@
 export VAR2_Ithick  V2It_PREF   V2It_SUFF
 export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_ipcc
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_ipcc	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_ipcc	(revision 4394)
@@ -64,4 +64,5 @@
 VAR1_Ithick=sit     ;   V1It_PREF=tag33     ;   V1It_SUFF=_1M_icemod.nc
 VAR1_SNOW=isnowthi  ;   V1SNOW_PREF=tag33   ;   V1SNOW_SUFF=_1M_icemod.nc
+VAR1_IvelV=iicevelv ;   V1IvV_PREF=tag33    ;   V1IvV_SUFF=_1M_icemod.nc
 #
 #===================== EXP2 =====================
@@ -79,4 +80,5 @@
 VAR2_Ithick=sit     ;   V2It_PREF=trunk331     ;   V2It_SUFF=_1M_icemod.nc
 VAR2_SNOW=isnowthi  ;   V2ICE_SNOW=trunk331    ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=iicevelv ;   V2IvV_PREF=trunk331    ;   V2IvV_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
@@ -110,5 +112,5 @@
 export VAR1_Ithick  V1It_PREF    V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF  V1SNOW_SUFF
-
+export VAR1_IvelV   V1IvV_PREF   V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2      DATE2_2
@@ -123,3 +125,4 @@
 export VAR2_Ithick  V2It_PREF   V2It_SUFF
 export VAR2_SNOW    V2SNOW_PREF V2SNOW_SUFF
+export VAR2_IvelV   V2IvV_PREF   V2IvV_PREF
 #
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_old_names
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_old_names	(revision 4393)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example_old_names	(revision 4394)
@@ -60,8 +60,9 @@
 VAR1_EMP=sowaflup      	;   V1EMP_PREF=ow_amax9999    ;   V1EMP_SUFF=_1m_grid_T.nc
 VAR1_U=uocetr_eff      	;   V1U_PREF=ow_amax9999      ;   V1U_SUFF=_1m_grid_U.nc
-VAR1_V=vocetr_eff   	 	;   V1V_PREF=ow_amax9999      ;   V1V_SUFF=_1m_grid_V.nc
-VAR1_ICE=iiceconc 	   ;   V1ICE_PREF=ow_amax9999    ;   V1ICE_SUFF=_1m_icemod.nc
+VAR1_V=vocetr_eff   	;   V1V_PREF=ow_amax9999      ;   V1V_SUFF=_1m_grid_V.nc
+VAR1_ICE=iiceconc 	;   V1ICE_PREF=ow_amax9999    ;   V1ICE_SUFF=_1m_icemod.nc
 VAR1_Ithick=iicethic    ;   V1It_PREF=ow_amax9999     ;   V1It_SUFF=_1m_icemod.nc
 VAR1_SNOW=isnowthi   	;   V1SNOW_PREF=ow_amax9999   ;   V1SNOW_SUFF=_1m_icemod.nc
+VAR1_IvelV=vice_ipa     ;   V1IvV_PREF=ow_amax9999    ;   V1IvV_SUFF=_1m_icemod.nc 
 #
 #===================== EXP2 =====================
@@ -69,14 +70,15 @@
 DATE1_2=00010101   		;   DATE2_2=00101231
 #
-VAR2_T=votemper     		;   V2T_PREF=ow_amax9999     ;   V2T_SUFF=_1m_grid_T.nc
+VAR2_T=votemper     	;   V2T_PREF=ow_amax9999     ;   V2T_SUFF=_1m_grid_T.nc
 VAR2_S=vosaline        	;   V2S_PREF=ow_amax9999     ;   V2S_SUFF=_1m_grid_T.nc
 VAR2_SSH=sossheig      	;   V2SSH_PREF=ow_amax9999   ;   V2SSH_SUFF=_1m_grid_T.nc
 VAR2_Q=sohefldo       	;   V2Q_PREF=ow_amax9999     ;   V2Q_SUFF=_1m_grid_T.nc
 VAR2_EMP=sowaflup     	;   V2EMP_PREF=ow_amax9999   ;   V2EMP_SUFF=_1m_grid_T.nc
-VAR2_U=uocetr_eff   		;   V2U_PREF=ow_amax9999     ;   V2U_SUFF=_1m_grid_U.nc
-VAR2_V=vocetr_eff   		;   V2V_PREF=ow_amax9999     ;   V2V_SUFF=_1m_grid_V.nc
+VAR2_U=uocetr_eff   	;   V2U_PREF=ow_amax9999     ;   V2U_SUFF=_1m_grid_U.nc
+VAR2_V=vocetr_eff   	;   V2V_PREF=ow_amax9999     ;   V2V_SUFF=_1m_grid_V.nc
 VAR2_ICE=iiceconc     	;   V2ICE_PREF=ow_amax9999   ;   V2ICE_SUFF=_1m_icemod.nc
 VAR2_Ithick=iicethic    ;   V2It_PREF=ow_amax9999    ;   V2It_SUFF=_1m_icemod.nc
 VAR2_SNOW=isnowthi   	;   V2SNOW_PREF=ow_amax9999  ;   V2SNOW_SUFF=_1m_icemod.nc
+VAR2_IvelV=vice_ipa     ;   V2IvV_PREF=ow_amax9999   ;   V2IvV_SUFF=_1m_icemod.nc 
 #
 ######################### Export Variables ###############################
@@ -110,4 +112,5 @@
 export VAR1_Ithick  V1It_PREF       V1It_SUFF
 export VAR1_SNOW    V1SNOW_PREF     V1SNOW_SUFF
+export VAR1_IvelV   V1IvV_PREF      V1IvV_PREF
 #===================== EXP2 =====================
 export DATE1_2 DATE2_2
@@ -122,3 +125,4 @@
 export VAR2_Ithick   V2It_PREF      V2It_SUFF
 export VAR2_SNOW     V2SNOW_PREF    V2SNOW_SUFF
+export VAR2_IvelV    V2IvV_PREF     V2IvV_PREF
 #
